summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-firmware/iwl6050-ucode
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-firmware/iwl6050-ucode')
-rw-r--r--sys-firmware/iwl6050-ucode/Manifest2
-rw-r--r--sys-firmware/iwl6050-ucode/iwl6050-ucode-41.28.5.1.ebuild34
-rw-r--r--sys-firmware/iwl6050-ucode/iwl6050-ucode-9.201.4.1.ebuild25
-rw-r--r--sys-firmware/iwl6050-ucode/metadata.xml7
4 files changed, 68 insertions, 0 deletions
diff --git a/sys-firmware/iwl6050-ucode/Manifest b/sys-firmware/iwl6050-ucode/Manifest
new file mode 100644
index 00000000000..97d339f7977
--- /dev/null
+++ b/sys-firmware/iwl6050-ucode/Manifest
@@ -0,0 +1,2 @@
+DIST iwlwifi-6050-ucode-41.28.5.1.tgz 223378 SHA256 597d9a3ddb4b69f4590b436cf33d30a342bab2de3c9d8fa3d007b039accb20c4
+DIST iwlwifi-6050-ucode-9.201.4.1.tgz 217685 SHA256 1cbca537d7c9af2c8d1f40b00cb430055b6f06de4b6d29e2a318bb0eae3352ff
diff --git a/sys-firmware/iwl6050-ucode/iwl6050-ucode-41.28.5.1.ebuild b/sys-firmware/iwl6050-ucode/iwl6050-ucode-41.28.5.1.ebuild
new file mode 100644
index 00000000000..ccc37c4c2fd
--- /dev/null
+++ b/sys-firmware/iwl6050-ucode/iwl6050-ucode-41.28.5.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit linux-info
+
+MY_PN="iwlwifi-6050-ucode"
+
+DESCRIPTION="Intel (R) Wireless WiFi Link 6250-AGN ucode"
+HOMEPAGE="http://intellinuxwireless.org/?p=iwlwifi"
+SRC_URI="http://intellinuxwireless.org/iwlwifi/downloads/${MY_PN}-${PV}.tgz"
+
+LICENSE="ipw3945"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_compile() { :; }
+
+src_install() {
+ insinto /lib/firmware
+ doins iwlwifi-6050-5.ucode || die
+
+ dodoc README* || die "dodoc failed"
+
+ if kernel_is lt 2 6 37; then
+ ewarn "Your kernel version is ${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}"
+ ewarn "This microcode image requires a kernel >= 2.6.37 or a 2.6.36 "
+ ewarn "kernel using >= genpatches-2.6.36-8 which is included"
+ ewarn "in gentoo-sources >= 2.6.36-r6 or any kernel version >= 2.6.37."
+ fi
+}
diff --git a/sys-firmware/iwl6050-ucode/iwl6050-ucode-9.201.4.1.ebuild b/sys-firmware/iwl6050-ucode/iwl6050-ucode-9.201.4.1.ebuild
new file mode 100644
index 00000000000..de3a5576bfd
--- /dev/null
+++ b/sys-firmware/iwl6050-ucode/iwl6050-ucode-9.201.4.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+MY_PN="iwlwifi-6050-ucode"
+
+DESCRIPTION="Intel (R) Wireless WiFi Link 6250-AGN ucode"
+HOMEPAGE="http://intellinuxwireless.org/?p=iwlwifi"
+SRC_URI="http://intellinuxwireless.org/iwlwifi/downloads/${MY_PN}-${PV}.tgz"
+
+LICENSE="ipw3945"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_compile() { :; }
+
+src_install() {
+ insinto /lib/firmware
+ doins iwlwifi-6050-4.ucode || die
+
+ dodoc README* || die "dodoc failed"
+}
diff --git a/sys-firmware/iwl6050-ucode/metadata.xml b/sys-firmware/iwl6050-ucode/metadata.xml
new file mode 100644
index 00000000000..1c37e40592a
--- /dev/null
+++ b/sys-firmware/iwl6050-ucode/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>mpagano@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>